_This repository was migrated from CodePlex to the MicrosoftArchive organization where it is not actively maintained. If a community were interested in adopting or taking forward key XAML-related components, that would be awesome._

# Silverlight Toolkit

![Silverlight Toolkit](https://download-codeplex.sec.s-msft.com/Download?ProjectName=silverlight&DownloadId=88223&Build=21050)

Straight from Microsoft, the Silverlight Toolkit provides the developer community with new components, functionality, and an efficient way to help shape product development. Toolkit releases include open source code, samples & docs, plus design-time support for the Silverlight browser plugin.

## Silverlight 5 Toolkit

** This was the final release of the Silverlight Toolkit in December 2011 **

[Download on CodePlex](http://silverlight.codeplex.com/downloads/get/311823)

This is the 9th, newest, and final release of the toolkit targeting the Silverlight 5. New to this release are some controls targeting Silverlight 5's new 3D features. For more information on these 3D extensions, please check out [David Catuhe's blog entry](http://blogs.msdn.com/b/eternalcoding/archive/2011/10/04/silverlight-toolkit-september-2011-for-silverlight-5-what-s-new.aspx) on the topic.

If you have previously installed the Silverlight 5 September 2011 toolkit, please make sure to uninstall before installing the December 2011 toolkit.

Note: _You must install XNA Studio in order to use the new Silverlight 3D templates. Otherwise the new templates will not show up._

### Components in the Silverlight 5 Toolkit

The Silverlight Toolkit defines four Quality Bands that describe the stability and finish-level of each component. Below is a summary of where the components currently in the Silverlight Toolkit fall within the quality bands. 

#### Components in the Mature/SDK Quality Band

- AutoCompleteBox
- Calendar
- ChildWindow
- DataGrid
- DataPager
- DatePicker
- GridSplitter
- HeaderedItemsControl
- TabControl
- TreeView

#### Components in the Stable Quality Band 

- DockPanel
- Expander
- HeaderedContentControl
- Label
- NumericUpDown
- Viewbox
- WrapPanel

#### Components in the Preview Quality Band

- Accordion
- Charting
- ContextMenu
- DataForm
- DomainUpDown
- ImplicitStyleManager
- LayoutTransformer
 -Rating
 -TimePicker
 -TimeUpDown
- 11 Themes 

#### Components in the Experimental Quality Band

- GlobalCalendar
- TransitioningContentControl
- TreeMap
- Drag and Drop support for items controls
 -BusyIndicator

#### Infrastructure and Development Tools in the Experimental Quality Band

- Visual Studio unit test project and item templates
- Silverlight Unit Test Framework and Visual Studio unit test metadata for Silverlight
- Silverlight test automation for automating unit test runs in the web browser
- DefaultStyleTask for large control library development

## Open source

_The Silverlight Toolkit was created in a previous era where contributions and Microsoft's Contribution License Agreement story were not yet formalized._

1. We cannot include any source code that you send us through the CodePlex project (through comments, patches, or items in the Issue Tracker). However, we do welcome all feedback. 
2. Please review the  Quality Bands for information on the support and quality level of the toolkit components. 
3. Feel free to use the source in your apps, controls, and products - have fun! 

## Blogs & Tweets

Historical blog posts available from developers, designers and geeks: [David Anson](http://blogs.msdn.com/delay), [Dave Relyea](http://blogs.msdn.com/devdave), [Jeff Wilcox](https://www.jeff.wilcox.name), [Shawn Oster](http://shawnoster.com/), [Tim Heuer](http://timheuer.com/blog/), [Jason R. Shaver](http://www.jasonrshaver.com/)

