﻿// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Public License (Ms-PL).
// Please see http://go.microsoft.com/fwlink/?LinkID=131993 for details.
// All other rights reserved.

// Native methods file doesn't meet source analysis restrictions
// <auto-generated />

using System;
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;

namespace Microsoft.Silverlight.Testing.Tools
{
    [StructLayout(LayoutKind.Sequential)]
    internal struct IELAUNCHURLINFO
    {
        public int cbSize;
        public int dwCreationFlags;
    }

    [StructLayout(LayoutKind.Sequential)]
    internal struct PROCESS_INFORMATION
    {
        public IntPtr hProcess;
        public IntPtr hThread;
        public int dwProcessId;
        public int dwThreadId;
    }

    /// <summary>
    /// Native methods class.
    /// </summary>
    internal static class SafeNativeMethods
    {
        /// <summary>
        /// The Internet Explorer UI library.
        /// </summary>
        private const string InternetExplorerUILibrary = "ieframe.dll";

        /// <summary>
        /// Launch a URL with Internet Explorer. Works with IE's protected 
        /// mode.
        /// </summary>
        /// <param name="url">The URI to navigate to.</param>
        /// <param name="pProcInfo">Process information struct by reference 
        /// that will contain the opened process ID.</param>
        /// <param name="lpInfo">The launch information struct.</param>
        /// <returns>Returns a value indicating whether the native call was 
        /// successful.</returns>
        [SuppressMessage("Microsoft.Interoperability", "CA1414:MarkBooleanPInvokeArgumentsWithMarshalAs", Justification = "This is a simple HRESULT.")]
        [DllImport(InternetExplorerUILibrary, PreserveSig = true)]
        internal static extern int IELaunchURL([MarshalAs(UnmanagedType.LPWStr)] string url, ref PROCESS_INFORMATION pProcInfo, ref IELAUNCHURLINFO lpInfo);
    }
}