﻿// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Public License (Ms-PL).
// Please see http://go.microsoft.com/fwlink/?LinkID=131993 for details.
// All other rights reserved.

extern alias Silverlight;
using System.ComponentModel;
using System.Windows.Controls.Design.Common;
using Microsoft.Windows.Design.Metadata;
using SSWCDC = Silverlight::System.Windows.Controls.DataVisualization.Charting;

namespace System.Windows.Controls.DataVisualization.Design
{
    /// <summary>
    /// To register design time metadata for SSWCDC.DataPointSeries.
    /// </summary>
    internal class DataPointSeriesMetadata : AttributeTableBuilder
    {
        /// <summary>
        /// To register design time metadata for SSWCDC.DataPointSeries.
        /// </summary>
        public DataPointSeriesMetadata()
            : base()
        {
            AddCallback(
                typeof(SSWCDC.DataPointSeries),
                b =>
                {
                    b.AddCustomAttributes(new DefaultPropertyAttribute(
                        Extensions.GetMemberName<SSWCDC.DataPointSeries>(x => x.DependentValuePath)));
                    b.AddCustomAttributes(new DefaultEventAttribute("SelectionChanged"));

                    b.AddCustomAttributes(new ComplexBindingPropertiesAttribute(
                        Extensions.GetMemberName<SSWCDC.DataPointSeries>(x => x.ItemsSource),
                        Extensions.GetMemberName<SSWCDC.DataPointSeries>(x => x.DependentValuePath)));
                });
        }
    }
}